Get a comment of a task

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/tasks/{task_id}/comments/{comment_id}

Get a comment of a task. Managers and supervisors of the project can read all the comments. Other users, except clients, cannot read the comments that clients wrote. A client can read the comments for clients and the comments of clients. If the project isolates the clients, a client reads only the comments for clients and their own comments.

Path parameters

  • task_id string(uuid) Required

    Unique identifier of the task

  • comment_id string(uuid) Required

    Unique identifier of the comment

Responses

  • 200 application/json

    The comment

    Hide response attributes Show response attributes object
    • id string(uuid)
    • object_id string(uuid)
    • person_id string(uuid)
    • text string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 403

    You cannot read this comment

  • 404

    The comment does not exist, or it is not on this task

GET /data/tasks/{task_id}/comments/{comment_id}
curl -X GET "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "object_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "text": "Review completed successfully",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T11:00:00Z"
}